Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.geom
Class Quadrilateral

    java.lang.Object
      gov.nasa.worldwind.geom.Quadrilateral

All Implemented Interfaces:
  Renderable

    public class Quadrilateral

extends Object
implements Renderable

Constructor Summary
`Quadrilateral(LatLon southwestCorner, LatLon northeastCorner, double elevation)`

Method Summary
`int` | `getAntiAliasHint()`
`Color` | `getColor()`
`LatLon[]` | `getCorners()`
`double` | `getElevation()`
`void` | `render(DrawContext dc)` Causes this `Renderable` to render itself using the `DrawContext` provided.
`void` | `setAntiAliasHint(int hint)`
`void` | `setColor(Color color)`
`void` | `setCorners(LatLon southWest, LatLon northEast)`
`void` | `setElevation(double elevation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Quadrilateral

    public Quadrilateral(LatLon southwestCorner,
                         LatLon northeastCorner,
                         double elevation)

Method Detail

### getAntiAliasHint

    public int getAntiAliasHint()

### getColor

    public Color getColor()

### getCorners

    public LatLon[] getCorners()

### getElevation

    public double getElevation()

### render

    public void render(DrawContext dc)

  Description copied from interface: `Renderable`
  Causes this `Renderable` to render itself using the `DrawContext` provided. The `DrawContext` provides the elevation model, openGl instance, globe and other information required for drawing. It is recommended that the `DrawContext` is non-null as most implementations do not support null `DrawContext`s.

  Specified by:
    `render` in interface `Renderable`
  Parameters:
    `dc` - the `DrawContext` to be used
  See Also:
    `DrawContext`

### setAntiAliasHint

    public void setAntiAliasHint(int hint)

### setColor

    public void setColor(Color color)

### setCorners

    public void setCorners(LatLon southWest,
                           LatLon northEast)

### setElevation

    public void setElevation(double elevation)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD